## python-weblogo 3.7.12

=== Makefile ===
# top-level pyquil Makefile

NAME = weblogo
FILES = $(NAME) tests docs/conf.py setup.py

USER = -i ~/.ssh/aws_kaiju.pem ec2-user
HOST = weblogo.threeplusone.com
DIR = /home/ec2-user/weblogo


# Kudos: Adapted from Auto-documenting default target 
# https://marmelab.com/blog/2016/02/29/auto-documented-makefile.html
help:
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-12s\033[0m %s\n", $$1, $$2}'

test:		## Run unittests with current enviroment
	@python -m pytest

cov:		## Report test coverage
	@python -m pytest --cov=weblogo --cov-report term-missing

lint:		## Lint check python source
	@isort --check $(FILES)  ||  echo "isort:   FAILED!"
	@black --check --quiet $(FILES)    || echo "black:   FAILED!"
	@flake8 $(FILES)

delint:   ## Run isort and black to delint project
	@echo
	isort $(FILES)
	@echo
	black $(FILES)
	@echo

types:	## Report type errors and untyped functions
	@mypy weblogo tests --ignore-missing-imports --follow-imports=skip --disallow-untyped-defs

docs:		## Build documentation
	$(MAKE) -C docs html && open docs/_build/html/index.html

examples: 	## Build examples
	cd weblogo/htdocs/examples && ./build_examples.sh

login:		## ssh into remote server
	ssh  ${USER}@${HOST}

sync:		## Sync remote server
	ssh ${USER}@${HOST} 'cd weblogo && git pull'

reinstall:	## Reinstall weblogo on remote server
	# pip install needed to update versions with latest git tag
	ssh ${USER}@${HOST} 'cd weblogo && sudo pip3 install -e .'

restart:  	## Restart remote server
	ssh ${USER}@${HOST} 'sudo systemctl restart httpd.service'


.PHONY: help
.PHONY: docs

=== debian/changelog ===
python-weblogo (3.7.12-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 17:31:36 +0000

python-weblogo (3.7.12-4) unstable; urgency=medium

  * Add debian/watch.

 -- Andrius Merkys <merkys@debian.org>  Fri, 28 Oct 2022 03:07:25 -0400

python-weblogo (3.7.12-3) unstable; urgency=medium

  * No-changes source-only upload.

 -- Andrius Merkys <merkys@debian.org>  Wed, 19 Oct 2022 08:39:36 -0400

python-weblogo (3.7.12-2) unstable; urgency=medium

  * Resolve FIXMEs in debian/copyright.
  * Add reference to debian/upstream/metadata.

 -- Andrius Merkys <merkys@debian.org>  Mon, 17 Oct 2022 03:38:12 -0400

python-weblogo (3.7.12-1) unstable; urgency=medium

  * Initial release. (Closes: #1016906)

 -- Andrius Merkys <merkys@debian.org>  Thu, 22 Sep 2022 02:49:19 -0000

=== debian/control ===
Source: python-weblogo
Section: science
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 ghostscript <!nocheck>,
 help2man,
 python3-all-dev,
 python3-numpy,
 python3-pytest <!nocheck>,
 python3-scipy <!nocheck>,
 python3-setuptools,
 python3-setuptools-scm,
Standards-Version: 4.6.1
Homepage: https://github.com/WebLogo/weblogo
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-weblogo
Vcs-Git: https://salsa.debian.org/python-team/packages/python-weblogo.git
Testsuite: autopkgtest-pkg-python

Package: python3-weblogo
Architecture: all
Depends:
 libjs-bootstrap,
 ${misc:Depends},
 ${python3:Depends},
X-Python3-Version: ${python3:Versions}
Description: sequence logo generator
 WebLogo is a web based application designed to make the generation of sequence
 logos.
 .
 WebLogo can create output in several common graphics formats, including the
 bitmap formats GIF and PNG, suitable for on-screen display, and the vector
 formats EPS and PDF, more suitable for printing, publication, and further
 editing. Additional graphics options include bitmap resolution, titles,
 optional axis, and axis labels, antialiasing, error bars, and alternative
 symbol formats.
 .
 A sequence logo is a graphical representation of an amino acid or nucleic acid
 multiple sequence alignment. Each logo consists of stacks of symbols, one
 stack for each position in the sequence. The overall height of the stack
 indicates the sequence conservation at that position, while the height of
 symbols within the stack indicates the relative frequency of each amino or
 nucleic acid at that position. The width of the stack is proportional to the
 fraction of valid symbols in that position.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = weblogo
export PYBUILD_TEST_ARGS = -k 'not test_transformseq and not test_cli and not test_resources'

%:
	dh $@ --buildsystem pybuild --with python3

override_dh_auto_install:
	dh_auto_install
	find debian/python3-$(PYBUILD_NAME)/usr/lib -name '*.mat' | xargs chmod -x
	rm -rf debian/python3-$(PYBUILD_NAME)/usr/lib/python*/dist-packages/weblogo/htdocs

override_dh_installman:
	PYTHONPATH=. help2man debian/python3-$(PYBUILD_NAME)/usr/bin/weblogo --no-info --name 'create sequence logos from biological sequence alignments' > weblogo.1
	PYTHONPATH=. help2man debian/python3-$(PYBUILD_NAME)/usr/bin/transformseq --no-info --name 'convert multiple sequence alignments from one format to another' > transformseq.1
	dh_installman

override_dh_auto_clean:
	dh_auto_clean
	rm -rf weblogo.egg-info

=== debian/tests/control ===
Test-Command: pytest-3 -k 'not test_formats'
Depends:
 ghostscript,
 python3-pytest,
 @,

## python-weblogo 3.8.0

=== Makefile ===
--- 
+++ 
@@ -13,13 +13,13 @@
 help:
 	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-12s\033[0m %s\n", $$1, $$2}'
 
-test:		## Run unittests with current enviroment
+test:  ## Run unittests with current enviroment
 	@python -m pytest
 
-cov:		## Report test coverage
+cov:  ## Report test coverage
 	@python -m pytest --cov=weblogo --cov-report term-missing
 
-lint:		## Lint check python source
+lint:  ## Lint check python source
 	@isort --check $(FILES)  ||  echo "isort:   FAILED!"
 	@black --check --quiet $(FILES)    || echo "black:   FAILED!"
 	@flake8 $(FILES)
@@ -31,19 +31,19 @@
 	black $(FILES)
 	@echo
 
-types:	## Report type errors and untyped functions
+types:  ## Report type errors and untyped functions
 	@mypy weblogo tests --ignore-missing-imports --follow-imports=skip --disallow-untyped-defs
 
-docs:		## Build documentation
+docs:  ## Build documentation
 	$(MAKE) -C docs html && open docs/_build/html/index.html
 
-examples: 	## Build examples
+examples:  ## Build examples
 	cd weblogo/htdocs/examples && ./build_examples.sh
 
-login:		## ssh into remote server
+login:  ## ssh into remote server
 	ssh  ${USER}@${HOST}
 
-sync:		## Sync remote server
+sync:  ## Sync remote server
 	ssh ${USER}@${HOST} 'cd weblogo && git pull'
 
 reinstall:	## Reinstall weblogo on remote server

=== requirements.txt ===
numpy
scipy
setuptools
setuptools-scm

# Testing
pytest >= 4.6
pytest-cov
tox
flake8
mypy
isort
black

# Docs
sphinx
guzzle_sphinx_theme

=== debian/changelog ===
python-weblogo (3.8.0-3) unstable; urgency=medium

  * Team upload.
  * d/control: Drop <!nocheck> from python3-scipy. Closes: #1116886.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Sat, 11 Oct 2025 23:40:00 +0200

python-weblogo (3.8.0-2) unstable; urgency=medium

  * Team Upload
  * Use dh-sequence-python3
  * Add dependency on python3-legacy-cgi (Closes: #1084536)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 16 Nov 2024 01:43:14 +0100

python-weblogo (3.8.0-1) unstable; urgency=medium

  * New upstream version 3.8.0
  * Simplify debian/rules.
  * Switch testsuite to autopkgtest-pkg-pybuild.
  * Bump copyright years.

 -- Andrius Merkys <merkys@debian.org>  Mon, 07 Oct 2024 02:32:14 -0400

=== debian/control ===
--- 
+++ 
@@ -4,28 +4,29 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Andrius Merkys <merkys@debian.org>,
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  ghostscript <!nocheck>,
  help2man,
  python3-all-dev,
+ python3-legacy-cgi,
  python3-numpy,
  python3-pytest <!nocheck>,
- python3-scipy <!nocheck>,
+ python3-scipy,
  python3-setuptools,
  python3-setuptools-scm,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/WebLogo/weblogo
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-weblogo
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-weblogo.git
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-weblogo
 Architecture: all
 Depends:
  libjs-bootstrap,
+ python3-legacy-cgi,
  ${misc:Depends},
  ${python3:Depends},
 X-Python3-Version: ${python3:Versions}

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = weblogo
export PYBUILD_TEST_ARGS = -k 'not test_transformseq and not test_cli and not test_resources'

%:
	dh $@ --buildsystem pybuild

execute_after_dh_auto_install:
	find debian/python3-$(PYBUILD_NAME)/usr/lib -name '*.mat' | xargs chmod -x
	rm -rf debian/python3-$(PYBUILD_NAME)/usr/lib/python*/dist-packages/weblogo/htdocs

execute_before_dh_installman:
	PYTHONPATH=. help2man debian/python3-$(PYBUILD_NAME)/usr/bin/weblogo --no-info --name 'create sequence logos from biological sequence alignments' > weblogo.1
	PYTHONPATH=. help2man debian/python3-$(PYBUILD_NAME)/usr/bin/transformseq --no-info --name 'convert multiple sequence alignments from one format to another' > transformseq.1

execute_after_dh_auto_clean:
	rm -rf weblogo.egg-info

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
 https://github.com/WebLogo/weblogo/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## python-weblogo 3.9.0

=== Makefile ===

.DEFAULT_GOAL := help

NAME = weblogo
FILES = $(NAME) tests docs/conf.py setup.py

USER = -i ~/.ssh/aws_kaiju.pem ec2-user
HOST = weblogo.threeplusone.com
DIR = /home/ec2-user/weblogo


# Kudos: Adapted from Auto-documenting default target
# https://marmelab.com/blog/2016/02/29/auto-documented-makefile.html
.PHONY: help
help:
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-12s\033[0m %s\n", $$1, $$2}'


.PHONY: test
test:  ## Run unittests
	python -m pytest --disable-pytest-warnings

.PHONY: coverage
coverage:  ## Report test coverage
	@echo
	python -m pytest --disable-pytest-warnings --cov-report term-missing --cov $(NAME)
	@echo

.PHONY: lint
lint:  ## Lint check python source
	@python -m ruff check

.PHONY: delint
delint:
	@echo
	python -m ruff format

.PHONY: typecheck
typecheck:  ## Static typechecking
	python -m mypy $(NAME)

.PHONY: docs
docs:  ## Build documentation
	(cd docs; make html)

.PHONY: docs-open
docs-open:  ## Build documentation and open in webbrowser
	(cd docs; make html)
	open docs/_build/html/index.html

.PHONY: examples
examples:  ## Build examples
	cd weblogo/htdocs/examples && ./build_examples.sh

.PHONY: login
login:  ## ssh into remote server
	ssh  ${USER}@${HOST}

.PHONY: sync
sync:  ## Sync remote server
	ssh ${USER}@${HOST} 'cd weblogo && git pull'

.PHONY: reinstall
reinstall:	## Reinstall weblogo on remote server
	# pip install needed to update versions with latest git tag
	ssh ${USER}@${HOST} 'cd weblogo && sudo pip3 install -e .'

.PHONY: restart
restart:  	## Restart remote server
	ssh ${USER}@${HOST} 'sudo systemctl restart httpd.service'

=== debian/changelog ===
python-weblogo (3.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Replace pkg_resources dependency with importlib_resources (closes:
      #1083722).
  * Use importlib.{resources,metadata} from the standard library.
  * Install subpackages of weblogo.
  * Update upstream git repository URL.

 -- Colin Watson <cjwatson@debian.org>  Fri, 23 Jan 2026 11:42:59 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-weblogo
 Section: science
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Andrius Merkys <merkys@debian.org>,
@@ -9,15 +8,15 @@
  dh-sequence-python3,
  ghostscript <!nocheck>,
  help2man,
+ pybuild-plugin-pyproject,
  python3-all-dev,
- python3-legacy-cgi,
  python3-numpy,
  python3-pytest <!nocheck>,
  python3-scipy,
  python3-setuptools,
  python3-setuptools-scm,
-Standards-Version: 4.7.2
-Homepage: https://github.com/WebLogo/weblogo
+Standards-Version: 4.7.3
+Homepage: https://github.com/gecrooks/weblogo
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-weblogo
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-weblogo.git
 Testsuite: autopkgtest-pkg-pybuild

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = weblogo
export PYBUILD_TEST_ARGS = -k 'not test_transformseq and not test_cli and not test_resources'

%:
	dh $@ --buildsystem pybuild

execute_after_dh_auto_install:
	rm -rf debian/python3-$(PYBUILD_NAME)/usr/lib/python*/dist-packages/weblogo/htdocs

execute_before_dh_installman:
	PYTHONPATH=. help2man debian/python3-$(PYBUILD_NAME)/usr/bin/weblogo --no-info --name 'create sequence logos from biological sequence alignments' > weblogo.1
	PYTHONPATH=. help2man debian/python3-$(PYBUILD_NAME)/usr/bin/transformseq --no-info --name 'convert multiple sequence alignments from one format to another' > transformseq.1

=== debian/watch ===
Version: 5

Template: GitHub
Owner: gecrooks
Project: weblogo
